package adminbenefactoraggregatorservice

import (
	"context"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type Repository interface {
	GetByIDs(ctx context.Context, ids []any) (map[uint]entity.Benefactor, error)
	GetByID(ctx context.Context, id uint) (entity.Benefactor, error)
}

type Service struct {
	repo Repository
}

func New(repo Repository) Service {
	return Service{repo: repo}
}
